Subject: Re: [PATCH -next 0/5] replace skb tc_verd member with 3 dedicated bit flags

From: Jamal Hadi Salim <[email-masked]>
Date: Tue, 05 May 2015 09:22:38 -0400

On 05/05/15 08:37, Daniel Borkmann wrote:
> On 05/05/2015 01:58 PM, Jamal Hadi Salim wrote:

>
> ... I quite frankly find the transformation after Florian's series
> *MUCH*, *MUCH* more intuitive, also given that we use such kind of
> bit flags already extensively everywhere in else the stack.
>

But he has to go around and change all occurrences where the macros are
invoked.
In some cases nothing has changed; in such a case the macros are useful
for hiding what goes on.
In any case - this is not as a big issue.

> What's more is that we reduce skbuff usage by 13-12 bits (given the
> follow up fix with AT_STACK is addressed).
>

Thats an orthogonal issue. Those bits were useful a few years ago,
and the use cases didnt pan out. So iam not against getting recycling.

> I think that can be done as a follow-up *after* the series.

Sure. Would of course be better to do it in this series if changes
are going to be made.

> Given
> it's uapi (which probably never should have been?) it's a different
> question on its own.
>
> Looking at git log include/uapi/linux/pkt_cls.h, it slipped in via
> David Howells uapi script ...
>
> commit 607ca46e97a1b6594b29647d98a32d545c24bdff
> Author: David Howells <[email-masked]>
> Date:   Sat Oct 13 10:46:48 2012 +0100
>

Should never have been in uapi.
I dont think i saw that submission you pointed to.
But the problem may have existed before that patch.

cheers,
jamal